package com.mortals.xhx.module.data.model;

import java.util.List;
import com.mortals.xhx.module.data.model.DataSourceEntity;
/**
* 数据源查询对象
*
* @author zxfei
* @date 2023-07-15
*/
public class DataSourceQuery extends DataSourceEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 数据源名称 */
    private List<String> nameList;

    /** 数据源名称排除列表 */
    private List <String> nameNotList;
    /** 来源系统 */
    private List<String> sourceSystemList;

    /** 来源系统排除列表 */
    private List <String> sourceSystemNotList;
    /** 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他) */
    private List<String> typeList;

    /** 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)排除列表 */
    private List <String> typeNotList;
    /** ip */
    private List<String> ipList;

    /** ip排除列表 */
    private List <String> ipNotList;
    /** 端口 */
    private List<String> portList;

    /** 端口排除列表 */
    private List <String> portNotList;
    /** 服务名称 */
    private List<String> serverNameList;

    /** 服务名称排除列表 */
    private List <String> serverNameNotList;
    /** 用户名 */
    private List<String> userNameList;

    /** 用户名排除列表 */
    private List <String> userNameNotList;
    /** 密码 */
    private List<String> passwordList;

    /** 密码排除列表 */
    private List <String> passwordNotList;
    /** 任务状态(0.停用,1.启用) */
    private List<String> statusesList;

    /** 任务状态(0.停用,1.启用)排除列表 */
    private List <String> statusesNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DataSourceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DataSourceQuery> andConditionList;

    public DataSourceQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 数据源名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 数据源名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 数据源名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 数据源名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 来源系统
    * @return sourceSystemList
    */
    public List<String> getSourceSystemList(){
        return this.sourceSystemList;
    }

    /**
    * 设置 来源系统
    * @param sourceSystemList
    */
    public void setSourceSystemList(List<String> sourceSystemList){
        this.sourceSystemList = sourceSystemList;
    }

    /**
    * 获取 来源系统
    * @return sourceSystemNotList
    */
    public List<String> getSourceSystemNotList(){
        return this.sourceSystemNotList;
    }

    /**
    * 设置 来源系统
    * @param sourceSystemNotList
    */
    public void setSourceSystemNotList(List<String> sourceSystemNotList){
        this.sourceSystemNotList = sourceSystemNotList;
    }

    /**
    * 获取 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }

    /**
    * 获取 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)
    * @return typeNotList
    */
    public List<String> getTypeNotList(){
        return this.typeNotList;
    }

    /**
    * 设置 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)
    * @param typeNotList
    */
    public void setTypeNotList(List<String> typeNotList){
        this.typeNotList = typeNotList;
    }

    /**
    * 获取 ip
    * @return ipList
    */
    public List<String> getIpList(){
        return this.ipList;
    }

    /**
    * 设置 ip
    * @param ipList
    */
    public void setIpList(List<String> ipList){
        this.ipList = ipList;
    }

    /**
    * 获取 ip
    * @return ipNotList
    */
    public List<String> getIpNotList(){
        return this.ipNotList;
    }

    /**
    * 设置 ip
    * @param ipNotList
    */
    public void setIpNotList(List<String> ipNotList){
        this.ipNotList = ipNotList;
    }

    /**
    * 获取 端口
    * @return portList
    */
    public List<String> getPortList(){
        return this.portList;
    }

    /**
    * 设置 端口
    * @param portList
    */
    public void setPortList(List<String> portList){
        this.portList = portList;
    }

    /**
    * 获取 端口
    * @return portNotList
    */
    public List<String> getPortNotList(){
        return this.portNotList;
    }

    /**
    * 设置 端口
    * @param portNotList
    */
    public void setPortNotList(List<String> portNotList){
        this.portNotList = portNotList;
    }

    /**
    * 获取 服务名称
    * @return serverNameList
    */
    public List<String> getServerNameList(){
        return this.serverNameList;
    }

    /**
    * 设置 服务名称
    * @param serverNameList
    */
    public void setServerNameList(List<String> serverNameList){
        this.serverNameList = serverNameList;
    }

    /**
    * 获取 服务名称
    * @return serverNameNotList
    */
    public List<String> getServerNameNotList(){
        return this.serverNameNotList;
    }

    /**
    * 设置 服务名称
    * @param serverNameNotList
    */
    public void setServerNameNotList(List<String> serverNameNotList){
        this.serverNameNotList = serverNameNotList;
    }

    /**
    * 获取 用户名
    * @return userNameList
    */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
    * 设置 用户名
    * @param userNameList
    */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }

    /**
    * 获取 用户名
    * @return userNameNotList
    */
    public List<String> getUserNameNotList(){
        return this.userNameNotList;
    }

    /**
    * 设置 用户名
    * @param userNameNotList
    */
    public void setUserNameNotList(List<String> userNameNotList){
        this.userNameNotList = userNameNotList;
    }

    /**
    * 获取 密码
    * @return passwordList
    */
    public List<String> getPasswordList(){
        return this.passwordList;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public void setPasswordList(List<String> passwordList){
        this.passwordList = passwordList;
    }

    /**
    * 获取 密码
    * @return passwordNotList
    */
    public List<String> getPasswordNotList(){
        return this.passwordNotList;
    }

    /**
    * 设置 密码
    * @param passwordNotList
    */
    public void setPasswordNotList(List<String> passwordNotList){
        this.passwordNotList = passwordNotList;
    }

    /**
    * 获取 任务状态(0.停用,1.启用)
    * @return statusesList
    */
    public List<String> getStatusesList(){
        return this.statusesList;
    }

    /**
    * 设置 任务状态(0.停用,1.启用)
    * @param statusesList
    */
    public void setStatusesList(List<String> statusesList){
        this.statusesList = statusesList;
    }

    /**
    * 获取 任务状态(0.停用,1.启用)
    * @return statusesNotList
    */
    public List<String> getStatusesNotList(){
        return this.statusesNotList;
    }

    /**
    * 设置 任务状态(0.停用,1.启用)
    * @param statusesNotList
    */
    public void setStatusesNotList(List<String> statusesNotList){
        this.statusesNotList = statusesNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DataSourceQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DataSourceQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DataSourceQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DataSourceQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DataSourceQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public DataSourceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 数据源名称
    * @param name
    */
    public DataSourceQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 数据源名称
    * @param nameList
    */
    public DataSourceQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 来源系统
    * @param sourceSystem
    */
    public DataSourceQuery sourceSystem(String sourceSystem){
        setSourceSystem(sourceSystem);
		return this;
    }

    /**
    * 设置 来源系统
    * @param sourceSystemList
    */
    public DataSourceQuery sourceSystemList(List<String> sourceSystemList){
        this.sourceSystemList = sourceSystemList;
		return this;
    }


	/**
    * 设置 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)
    * @param type
    */
    public DataSourceQuery type(String type){
        setType(type);
		return this;
    }

    /**
    * 设置 数据源类型(1.MySQL,2.SQLServer,3.Oracle,4.PostgreSQL,5.MongoDB,6.Redis,7.其他)
    * @param typeList
    */
    public DataSourceQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }


	/**
    * 设置 ip
    * @param ip
    */
    public DataSourceQuery ip(String ip){
        setIp(ip);
		return this;
    }

    /**
    * 设置 ip
    * @param ipList
    */
    public DataSourceQuery ipList(List<String> ipList){
        this.ipList = ipList;
		return this;
    }


	/**
    * 设置 端口
    * @param port
    */
    public DataSourceQuery port(String port){
        setPort(port);
		return this;
    }

    /**
    * 设置 端口
    * @param portList
    */
    public DataSourceQuery portList(List<String> portList){
        this.portList = portList;
		return this;
    }


	/**
    * 设置 服务名称
    * @param serverName
    */
    public DataSourceQuery serverName(String serverName){
        setServerName(serverName);
		return this;
    }

    /**
    * 设置 服务名称
    * @param serverNameList
    */
    public DataSourceQuery serverNameList(List<String> serverNameList){
        this.serverNameList = serverNameList;
		return this;
    }


	/**
    * 设置 用户名
    * @param userName
    */
    public DataSourceQuery userName(String userName){
        setUserName(userName);
		return this;
    }

    /**
    * 设置 用户名
    * @param userNameList
    */
    public DataSourceQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
		return this;
    }


	/**
    * 设置 密码
    * @param password
    */
    public DataSourceQuery password(String password){
        setPassword(password);
		return this;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public DataSourceQuery passwordList(List<String> passwordList){
        this.passwordList = passwordList;
		return this;
    }


	/**
    * 设置 任务状态(0.停用,1.启用)
    * @param statuses
    */
    public DataSourceQuery statuses(String statuses){
        setStatuses(statuses);
		return this;
    }

    /**
    * 设置 任务状态(0.停用,1.启用)
    * @param statusesList
    */
    public DataSourceQuery statusesList(List<String> statusesList){
        this.statusesList = statusesList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public DataSourceQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public DataSourceQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DataSourceQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DataSourceQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DataSourceQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DataSourceQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DataSourceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DataSourceQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DataSourceQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DataSourceQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DataSourceQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DataSourceQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DataSourceQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public DataSourceQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DataSourceQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DataSourceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DataSourceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DataSourceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}